<?php
// Configuración de la conexión a la base de datos
$servername = "localhost";
$username = "innovadi_root";
$password = "G5vRwk0w_a)-";
$dbname = "innovadi_padron_unlpam";

// Crear la conexión
$conn = mysqli_connect($servername, $username, $password, $dbname);

// Verificar si hay errores en la conexión
if (!$conn) {
    die("Conexión fallida: " . mysqli_connect_error());
}


$cons_est = "nombre, tipo_documento, nro_documento, sexo, domicilio_procedencia, localidad_procedencia, provincia_procedencia, pais_procedencia, telefono_procedencia, domicilio, localidad, telefono, email, condicion, estado, pertenencia, dedicacion, fecha_cancelacion, carrera_cargo, 'estudiante'";
$cons_doc = "apellido AS nombre, tipo_documento, nro_documento, sexo, domicilio_procedencia, localidad_procedencia, provincia_procedencia, pais_procedencia, telefono_procedencia, domicilio, localidad, telefono, email, condicion, estado, pertenencia, cargo AS carrera_cargo, dedicacion, fecha_cancelacion, 'docente'";
        
//$sql = "SELECT $cons_est FROM estudiantes GROUP BY nro_documento UNION ALL SELECT $cons_doc FROM docentesynd GROUP BY nro_documento ORDER BY nombre";


$sql = "SELECT $cons_est FROM estudiantes ORDER BY condicion, 
        CASE WHEN condicion = 'S' THEN 'S' WHEN condicion = 'D' THEN 'D' WHEN condicion = 'A' THEN 'A' WHEN condicion = 'E' THEN 'E' WHEN condicion = 'N' THEN 'N'
              ELSE estado END ASC,
        CASE WHEN estado = 'R' THEN 'R' WHEN estado = 'P' THEN 'P' WHEN estado = 'C' THEN 'C' WHEN estado = 'N' THEN 'N' WHEN estado = 'I' THEN 'I' WHEN estado = 'A' THEN 'A' WHEN estado = 'B' THEN 'B'
              ELSE 'X' END ASC";



//La variable X contenido no identificado


// Consulta para seleccionar los datos de la tabla que deseas exportar
$resultado = mysqli_query($conn, $sql);

// Crear un archivo TXT y escribir los datos en él
$archivo = fopen("exportar.txt", "w") or die("No se puede crear el archivo");
while ($fila = mysqli_fetch_assoc($resultado)) {
    $texto = $fila['nro_documento'] . ", " . $fila['condicion'] . ", " . $fila['estado'] . ", " . $fila['carrera_cargo'] .  ", " . $fila['pertenencia'] . "\n"; // Cambia 'campo1' y 'campo2' por los nombres de los campos de la tabla que deseas exportar
    fwrite($archivo, $texto);
}
fclose($archivo);

// Cerrar la conexión a la base de datos
mysqli_close($conn);

echo "Los datos han sido exportados en el archivo datos.txt";
?>
